# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 基础配置

### 查询基础配置列表

**请求URL:** basic/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询基础配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
titleName|String|否|标题名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "titleName":"6era2r",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;titleName|String|标题名称
&emsp;&emsp;logoUrl|String|Logo图片地址
&emsp;&emsp;appletCode|String|小程序二维码图片地址
&emsp;&emsp;wechatCode|String|微信微博二维码图片地址
&emsp;&emsp;saverTime|Integer|屏保时间单位分
&emsp;&emsp;saverPic|String|屏保图片地址
&emsp;&emsp;support|String|技术支持
&emsp;&emsp;sponsor|String|主办单位
&emsp;&emsp;organizer|String|承办单位
&emsp;&emsp;record|String|备案号
&emsp;&emsp;elderEnable|Integer|启用长辈模式0不启用1启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看基础配置

**请求URL:** basic/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/basic/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;titleName|String|标题名称
&emsp;logoUrl|String|Logo图片地址
&emsp;appletCode|String|小程序二维码图片地址
&emsp;wechatCode|String|微信微博二维码图片地址
&emsp;saverTime|Integer|屏保时间单位分
&emsp;saverPic|String|屏保图片地址
&emsp;support|String|技术支持
&emsp;sponsor|String|主办单位
&emsp;organizer|String|承办单位
&emsp;record|String|备案号
&emsp;elderEnable|Integer|启用长辈模式0不启用1启用
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3919,
            "siteId":8115,
            "titleName":"xt28l4",
            "logoUrl":"nn41e3",
            "appletCode":"x9jke5",
            "wechatCode":"pyzvz6",
            "saverTime":7388,
            "saverPic":"rvkokl",
            "support":"tt5lvv",
            "sponsor":"hh045v",
            "organizer":"ckbzx6",
            "record":"fjm96u",
            "elderEnable":3272,
            "createUserId":2537,
            "createTime":"2022-12-26",
            "updateUserId":6925,
            "updateTime":"2022-12-26"
        }
}
```

### 保存更新基础配置

**请求URL:** basic/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新基础配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
titleName|String|是|标题名称
logoUrl|String|否|Logo图片地址
appletCode|String|否|小程序二维码图片地址
wechatCode|String|否|微信微博二维码图片地址
saverTime|Integer|否|屏保时间单位分
saverPic|String|否|屏保图片地址
support|String|否|技术支持
sponsor|String|否|主办单位
organizer|String|否|承办单位
record|String|否|备案号
elderEnable|Integer|是|启用长辈模式0不启用1启用

**请求样例:**
```
{
    "siteId":4728,
    "titleName":"u4taao",
    "logoUrl":"un1idn",
    "appletCode":"j1rtuz",
    "wechatCode":"f7bb72",
    "saverTime":4492,
    "saverPic":"ywucai",
    "support":"nbmrme",
    "sponsor":"yj05x0",
    "organizer":"lbtor6",
    "record":"szgube",
    "elderEnable":8572,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;titleName|String|标题名称
&emsp;&emsp;logoUrl|String|Logo图片地址
&emsp;&emsp;appletCode|String|小程序二维码图片地址
&emsp;&emsp;wechatCode|String|微信微博二维码图片地址
&emsp;&emsp;saverTime|Integer|屏保时间单位分
&emsp;&emsp;saverPic|String|屏保图片地址
&emsp;&emsp;support|String|技术支持
&emsp;&emsp;sponsor|String|主办单位
&emsp;&emsp;organizer|String|承办单位
&emsp;&emsp;record|String|备案号
&emsp;&emsp;elderEnable|Integer|启用长辈模式0不启用1启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除基础配置

**请求URL:** basic/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除基础配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/basic/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 终端基础配置

**请求URL:** basic/setting/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
siteId|Long|是|站点ID

**请求样例:**
```
{
    "siteId":8115
}
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;allApps|array|所有应用结果集
&emsp;showApps|array|基础应用展示结果集列表
&emsp;hotApps|array|热门应用展示结果集列表
&emsp;basicInfo|object|数据对象
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;titleName|String|标题名称
&emsp;&emsp;logoUrl|String|Logo图片地址
&emsp;&emsp;appletCode|String|小程序二维码图片地址
&emsp;&emsp;wechatCode|String|微信微博二维码图片地址
&emsp;&emsp;saverTime|Integer|屏保时间单位分
&emsp;&emsp;saverPic|String|屏保图片地址
&emsp;&emsp;support|String|技术支持
&emsp;&emsp;sponsor|String|主办单位
&emsp;&emsp;organizer|String|承办单位
&emsp;&emsp;record|String|备案号
&emsp;&emsp;elderEnable|Integer|启用长辈模式0不启用1启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "allApps":[],
            "showApps":[],
            "hotApps":[],
            "basicInfo": {
                "id": 1,
                "createUserId": 1,
                "createUserName": null,
                "createTime": "2022-12-26 14:32:21",
                "createUser": null,
                "deleted": 0,
                "createUserDeptId": null,
                "createUserDeptName": null,
                "updateUserId": null,
                "updateUserName": null,
                "updateTime": null,
                "updateUser": null,
                "updateUserDeptId": null,
                "updateUserDeptName": null,
                "tableName": null,
                "orderField": null,
                "orderKind": null,
                "page": null,
                "size": null,
                "showAppIds": null,
                "hotAppIds": null,
                "siteId": 1,
                "titleName": "标题名称",
                "logoUrl": "Logo图片地址",
                "appletCode": "小程序二维码图片地址",
                "wechatCode": "微信微博二维码图片地址",
                "saverTime": 5,
                "saverPic": "屏保图片地址",
                "support": "技术支持",
                "sponsor": "主办单位",
                "organizer": "承办单位",
                "record": "备案号",
                "elderEnable": 1
            }
        }
}
```

### 保存基础配置

**请求URL:** basic/setting/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新基础配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
titleName|String|是|标题名称
logoUrl|String|否|Logo图片地址
appletCode|String|否|小程序二维码图片地址
wechatCode|String|否|微信微博二维码图片地址
saverTime|Integer|否|屏保时间单位分
saverPic|String|否|屏保图片地址
support|String|否|技术支持
sponsor|String|否|主办单位
organizer|String|否|承办单位
record|String|否|备案号
elderEnable|Integer|是|启用长辈模式0不启用1启用
showAppIds|String|否|基础应用展示
hotAppIds|String|否|热门应用展示

**请求样例:**
```
{
    "siteId":1,
    "appletCode": "小程序二维码图片地址",
    "elderEnable": 1,
    "logoUrl": "Logo图片地址",
    "organizer": "承办单位",
    "record": "备案号",
    "saverPic": "屏保图片地址",
    "saverTime": 5,
    "sponsor": "主办单位",
    "support": "技术支持",
    "titleName": "标题名称",
    "wechatCode": "微信微博二维码图片地址",
    "showAppIds":"2,3,4,5,6,7",
    "hotAppIds":"4,5,6,8,9,10"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```
### 查询用户站点列表

**请求URL:** basic/site/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户站点列表

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteCode|String|站点编号|-
&emsp;&emsp;areaID|String|区域Id|-
&emsp;&emsp;areaCode|String|区域编号|-
&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;proCode|String|省编码|-
&emsp;&emsp;cityCode|String|市编码|-
&emsp;&emsp;districtCode|String|区编码|-
&emsp;&emsp;siteIp|String|站点服务器ip|-
&emsp;&emsp;sitePort|String|站点服务器端口|-
&emsp;&emsp;longitude|String|经度|-
&emsp;&emsp;latitude|String|纬度|-
&emsp;&emsp;siteTel|String|中心联系电话|-
&emsp;&emsp;detailAddress|String|中心详细地址|-
&emsp;&emsp;siteRemark|String|中心介绍|-
&emsp;&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;&emsp;logoPath|String|设备logo地址
&emsp;&emsp;logoFullPath|String|设备logo全地址
&emsp;&emsp;englishName|String|站点英文名称
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

## 皮肤配置

### 查询皮肤配置列表

**请求URL:** sst/skin/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询皮肤配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
skinName|String|否|皮肤名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "skinName":"ga5dqg",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;skinName|String|皮肤名称
&emsp;&emsp;skinCode|String|皮肤编码
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看皮肤配置

**请求URL:** sst/skin/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看皮肤配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/skin/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;skinName|String|皮肤名称
&emsp;skinCode|String|皮肤编码
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4018,
            "siteId":1940,
            "skinName":"rk3hnt",
            "skinCode":"y7mhsv",
            "createUserId":5187,
            "createTime":"2022-12-26",
            "updateUserId":9247,
            "updateTime":"2022-12-26"
        }
}
```

### 保存更新皮肤配置

**请求URL:** sst/skin/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新皮肤配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
skinName|String|是|皮肤名称
skinCode|String|是|皮肤编码

**请求样例:**
```
{
    "siteId":316,
    "skinName":"im8tki",
    "skinCode":"s08158",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;skinName|String|皮肤名称
&emsp;&emsp;skinCode|String|皮肤编码
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除皮肤配置

**请求URL:** sst/skin/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除皮肤配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/skin/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 协议管理

### 查询协议管理列表

**请求URL:** sst/agreement/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询协议管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|协议名称,字段前后添加%%模糊查询
describe|String|否|协议描述,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "name":"1t1oku",
        "describe":"syoca3",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;name|String|协议名称
&emsp;&emsp;describe|String|协议描述
&emsp;&emsp;content|String|协议内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看协议管理

**请求URL:** sst/agreement/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看协议管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/agreement/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;name|String|协议名称
&emsp;describe|String|协议描述
&emsp;content|String|协议内容
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9984,
            "siteId":7757,
            "name":"gclgjo",
            "describe":"imfdlp",
            "content":"4uojah",
            "createUserId":7508,
            "createTime":"2022-12-26",
            "updateUserId":6359,
            "updateTime":"2022-12-26"
        }
}
```

### 保存更新协议管理

**请求URL:** sst/agreement/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新协议管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
name|String|是|协议名称
describe|String|是|协议描述
content|String|否|协议内容

**请求样例:**
```
{
    "siteId":3035,
    "name":"zxikjp",
    "describe":"r01z0x",
    "content":"2p2u76",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;name|String|协议名称
&emsp;&emsp;describe|String|协议描述
&emsp;&emsp;content|String|协议内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除协议管理

**请求URL:** sst/agreement/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除协议管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/agreement/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 应用编排

### 查询应用编排列表

**请求URL:** sst/apps/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询应用编排

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|应用名称,字段前后添加%%模糊查询
describe|String|否|应用描述,字段前后添加%%模糊查询
url|String|否|应用访问地址,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "name":"cjqt7h",
        "describe":"qa6csa",
        "url":"h47zen",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;showBasic|Integer|是否展示基础应用1是0否
&emsp;&emsp;basicSort|Integer|基础应用排序号
&emsp;&emsp;showHot|Integer|是否展示热门应用1是0否
&emsp;&emsp;hotSort|Integer|热门应用排序号
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;appId|Long|应用id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看应用编排

**请求URL:** sst/apps/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看应用编排，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/apps/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;name|String|应用名称
&emsp;describe|String|应用描述
&emsp;url|String|应用访问地址
&emsp;showBasic|Integer|是否展示基础应用1是0否
&emsp;basicSort|Integer|基础应用排序号
&emsp;showHot|Integer|是否展示热门应用1是0否
&emsp;hotSort|Integer|热门应用排序号
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;appId|Long|应用id
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3714,
            "siteId":7982,
            "name":"8bolg1",
            "describe":"s0eyx3",
            "url":"jksuye",
            "showBasic":1323,
            "basicSort":2377,
            "showHot":851,
            "hotSort":7800,
            "createUserId":2098,
            "createTime":"2022-12-26",
            "updateUserId":5216,
            "updateTime":"2022-12-26",
            "appId":1164
        }
}
```

### 保存更新应用编排

**请求URL:** sst/apps/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新应用编排：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
name|String|否|应用名称
describe|String|否|应用描述
url|String|否|应用访问地址
showBasic|Integer|否|是否展示基础应用1是0否
basicSort|Integer|否|基础应用排序号
showHot|Integer|否|是否展示热门应用1是0否
hotSort|Integer|否|热门应用排序号
appId|Long|是|应用id

**请求样例:**
```
{
    "siteId":7721,
    "name":"pssmly",
    "describe":"86a6qm",
    "url":"7fk6pp",
    "showBasic":6613,
    "basicSort":8988,
    "showHot":662,
    "hotSort":9530,
    "appId":4446
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;showBasic|Integer|是否展示基础应用1是0否
&emsp;&emsp;basicSort|Integer|基础应用排序号
&emsp;&emsp;showHot|Integer|是否展示热门应用1是0否
&emsp;&emsp;hotSort|Integer|热门应用排序号
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;appId|Long|应用id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除应用编排

**请求URL:** sst/apps/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除应用编排

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/apps/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 应用信息

### 查询应用信息列表

**请求URL:** apps/info/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询应用信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|应用名称,字段前后添加%%模糊查询
describe|String|否|应用描述,字段前后添加%%模糊查询
url|String|否|应用访问地址,字段前后添加%%模糊查询
icon|String|否|图标,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "name":"xa53ma",
        "describe":"qx7la2",
        "url":"xsoufh",
        "icon":"1yk7dv",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;icon|String|图标
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;sort|Integer|排序号
&emsp;&emsp;classify|Integer|应用分类
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看应用信息

**请求URL:** apps/info/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看应用信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/apps/info/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|应用名称
&emsp;describe|String|应用描述
&emsp;url|String|应用访问地址
&emsp;icon|String|图标
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;sort|Integer|排序号
&emsp;classify|Integer|应用分类
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7267,
            "name":"n1v4k6",
            "describe":"jcix26",
            "url":"jg6gj0",
            "icon":"u4vfmn",
            "createUserId":2457,
            "createTime":"2022-12-26",
            "updateUserId":9734,
            "updateTime":"2022-12-26",
            "sort":8521,
            "classify":1842
        }
}
```

### 保存更新应用信息

**请求URL:** apps/info/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新应用信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|应用名称
describe|String|否|应用描述
url|String|否|应用访问地址
icon|String|否|图标
sort|Integer|否|排序号
classify|Integer|否|应用分类

**请求样例:**
```
{
    "name":"6ui20p",
    "describe":"gn9ers",
    "url":"mqu93e",
    "icon":"bh1ym9",
    "sort":946,
    "classify":9578
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;icon|String|图标
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;sort|Integer|排序号
&emsp;&emsp;classify|Integer|应用分类

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除应用信息

**请求URL:** apps/info/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除应用信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/apps/info/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 终端设备

### 查询终端设备列表

**请求URL:** sst/device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询终端设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
deviceName|String|否|设备名称,字段前后添加%%模糊查询
deviceCode|String|否|设备编码,字段前后添加%%模糊查询
deviceType|Integer|否|设备类型1证照柜
deviceFirmname|String|否|设备厂商,字段前后添加%%模糊查询
status|Integer|否|设备状态，0：未激活，1：离线:2：在线
enabled|Integer|否|启停状态，0：停用,1：启用

**请求样例:**
```
  {
        "deviceName":"nostvu",
        "deviceCode":"o3gewn",
        "deviceType":9113,
        "deviceFirmname":"7n9pr1",
        "status":6929,
        "enabled":1766,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceType|Integer|设备类型1证照柜
&emsp;&emsp;deviceMac|String|Mac地址
&emsp;&emsp;deviceFirmname|String|设备厂商
&emsp;&emsp;ip|String|设备IP地址
&emsp;&emsp;port|String|端口号
&emsp;&emsp;resolution|String|设备分辨率
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;telephone|String|负责人电话
&emsp;&emsp;longitude|String|设备经度
&emsp;&emsp;latitude|String|设备纬度
&emsp;&emsp;building|Integer|所在楼宇
&emsp;&emsp;floor|Integer|所在楼层
&emsp;&emsp;managePWD|String|管理员密码
&emsp;&emsp;remark|String|备注
&emsp;&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看终端设备

**请求URL:** sst/device/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看终端设备，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/device/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;deviceName|String|设备名称
&emsp;deviceCode|String|设备编码
&emsp;deviceType|Integer|设备类型1证照柜
&emsp;deviceMac|String|Mac地址
&emsp;deviceFirmname|String|设备厂商
&emsp;ip|String|设备IP地址
&emsp;port|String|端口号
&emsp;resolution|String|设备分辨率
&emsp;leadingOfficial|String|负责人
&emsp;telephone|String|负责人电话
&emsp;longitude|String|设备经度
&emsp;latitude|String|设备纬度
&emsp;building|Integer|所在楼宇
&emsp;floor|Integer|所在楼层
&emsp;managePWD|String|管理员密码
&emsp;remark|String|备注
&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9616,
            "deviceName":"32gku4",
            "deviceCode":"rxgatg",
            "deviceType":3654,
            "deviceMac":"2r38q1",
            "deviceFirmname":"yuelsb",
            "ip":"y5vgxj",
            "port":"5na2kr",
            "resolution":"2l8ji4",
            "leadingOfficial":"4uz6a2",
            "telephone":"0bmmku",
            "longitude":"ew75f4",
            "latitude":"d4o7pz",
            "building":5881,
            "floor":1944,
            "managePWD":"1caa1f",
            "remark":"drrrgj",
            "status":9781,
            "enabled":1671,
            "createUserId":5305,
            "createTime":"2022-12-26",
            "updateUserId":4561,
            "updateTime":"2022-12-26"
        }
}
```

### 保存更新终端设备

**请求URL:** sst/device/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新终端设备：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deviceName|String|是|设备名称
deviceCode|String|否|设备编码
deviceType|Integer|否|设备类型1证照柜
deviceMac|String|否|Mac地址
deviceFirmname|String|否|设备厂商
ip|String|否|设备IP地址
port|String|否|端口号
resolution|String|否|设备分辨率
leadingOfficial|String|否|负责人
telephone|String|否|负责人电话
longitude|String|否|设备经度
latitude|String|否|设备纬度
building|Integer|否|所在楼宇
floor|Integer|否|所在楼层
managePWD|String|否|管理员密码
remark|String|否|备注
status|Integer|否|设备状态，0：未激活，1：离线:2：在线
enabled|Integer|否|启停状态，0：停用,1：启用

**请求样例:**
```
{
    "deviceName":"ipyqe8",
    "deviceCode":"4nu7pm",
    "deviceType":3869,
    "deviceMac":"allrxs",
    "deviceFirmname":"uus32u",
    "ip":"csm2sh",
    "port":"9jutoi",
    "resolution":"grxmfj",
    "leadingOfficial":"n2cc3h",
    "telephone":"93wjk6",
    "longitude":"ongghl",
    "latitude":"pxm18d",
    "building":1624,
    "floor":2115,
    "managePWD":"l1dxsa",
    "remark":"5t3rkg",
    "status":7766,
    "enabled":3360,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceType|Integer|设备类型1证照柜
&emsp;&emsp;deviceMac|String|Mac地址
&emsp;&emsp;deviceFirmname|String|设备厂商
&emsp;&emsp;ip|String|设备IP地址
&emsp;&emsp;port|String|端口号
&emsp;&emsp;resolution|String|设备分辨率
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;telephone|String|负责人电话
&emsp;&emsp;longitude|String|设备经度
&emsp;&emsp;latitude|String|设备纬度
&emsp;&emsp;building|Integer|所在楼宇
&emsp;&emsp;floor|Integer|所在楼层
&emsp;&emsp;managePWD|String|管理员密码
&emsp;&emsp;remark|String|备注
&emsp;&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除终端设备

**请求URL:** sst/device/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除终端设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/device/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字典附录
